# $Revision: 1.143 $, $Date: 2011/06/07 10:55:39 $
#
# Conditional build:
%bcond_with	kerberos5	# build with kerberos5 support
#
Summary:	A next-generation printing system for UNIX
Summary(pl.UTF-8):	System drukowania nowej generacji
Summary(pt_BR.UTF-8):	Gerenciador de impressão para UNIX e NT
Summary(ru.UTF-8):	Спулер печати LPRng
Summary(uk.UTF-8):	Спулер друку LPRng
Summary(zh_CN.UTF-8):	LPRng--打印程序
Name:		LPRng
Version:	3.8.35
Release:	2
License:	GPL v2 with OpenSSL exception or Artistic
Group:		Applications/System
Source0:	ftp://ftp.lprng.com/pub/LPRng/LPRng/%{name}-%{version}.tgz
# Source0-md5:	aaf76e4a94300352514d23bdfa66f0e7
Source1:	http://www.mif.pg.gda.pl/homepages/ankry/man-PLD/%{name}-pl-man-pages.tar.bz2
# Source1-md5:	4771b1c3598677a8201a9e203235dff3
Source2:	%{name}.init
Patch0:		%{name}-ac_fixes.patch
Patch1:		%{name}-lpd-perms.patch
Patch2:		%{name}-ngettext.patch
Patch3:		%{name}-missing-nls.patch
Patch4:		%{name}-pl.po.patch
Patch5:		%{name}-types.patch
Patch6:		%{name}-shell.patch
Patch7:		%{name}-as-needed.patch
Patch8:		%{name}-lpd.conf.patch
URL:		http://www.lprng.com/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gettext-devel
%{?with_kerberos5:BuildRequires:	heimdal-devel}
BuildRequires:	libtool
BuildRequires:	libwrap-devel
BuildRequires:	openssl-devel >= 0.9.7d
BuildRequires:	rpmbuild(macros) >= 1.315
Requires(post):	/sbin/ldconfig
Requires(post,preun):	/sbin/chkconfig
Requires:	rc-scripts >= 0.2.0
Obsoletes:	printingclient
Obsoletes:	printingdaemon
Provides:	printingclient
Provides:	printingdaemon
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The LPRng software is an enhanced, extended, and portable
implementation of the Berkeley LPR print spooler functionality. While
providing the same interface and meeting RFC1179 requirements, the
implementation is completely new and provides support for the
following features: lightweight (no databases needed) lpr, lpc, and
lprm programs; dynamic redirection of print queues; automatic job
holding; highly verbose diagnostics; multiple printers serving a
single queue; client programs do not need to run SUID root; greatly
enhanced security checks; and a greatly improved permission and
authorization mechanism.

The source software compiles and runs on a wide variety of UNIX
systems, and is compatible with other print spoolers and network
printers that use the LPR interface and meet RFC1179 requirements.
LPRng provides emulation packages for the SVR4 lp and lpstat programs,
eliminating the need for another print spooler package. These
emulation packages can be modified according to local requirements, in
order to support vintage printing systems.

For users that require secure and/or authenticated printing support,
LPRng supports Kerberos V, MIT Kerberos IV Print Support, and PGP
authentication. LPRng is being adopted by MIT for use as their Campus
Wide printing support system. Additional authentication support is
extremely simple to add. LPRng is Open Source Software, and the
current public distribution is available from the listed FTP and Web
Sites.

%description -l pl.UTF-8
LPRng jest rozszerzoną, ulepszoną i portowalną implementacją
Berkeleyowskiego LPR, czyli spoolera wydruków. Dostarcza ten sam
interfejs oraz jest zgodny z wymaganiami RFC1179. Jednocześnie
wykonanie jest całkowicie nowe i dostarcza następujące rzeczy:
- programy - "lekki" lpr (nie są potrzebne żadne bazy danych), lpc,
  oraz lprm;
- dynamiczna redyrekcja do kolejek;
- automatyczne wstrzymywanie zadań;
- "gadatliwa" diagnostyka;
- obsługę wielu drukarek na jednej kolejce;
- programy klienckie nie muszą być SUID root;
- mocno rozszerzona kontrola bezpieczeństwa;
- mocno rozszerzone mechanizmy bezpieczeństwa i kontroli uprawnień.

Oprogramowanie to kompiluje się i działa na wielu systemach uniksowych
i jest kompatybilne z innymi print spoolami oraz drukarkami
sieciowymi, które używają interfejsu LPR oraz spełniają wymagania
RFC1179. LPRng dostarcza pakiety emulacyjne dla programów SVR4 lp oraz
lpstat, eliminując w ten sposób konieczność posiadania jeszcze jednego
pakietu print spoola. Te pakiety mogą być modyfikowane zgodnie z
lokalnymi wymaganiami.

Dla użytkowników, którzy potrzebują bezpiecznej i uwierzytelnianej
obsługi drukowania LPRng wspiera Kerberos V, MIT Kerberos IV Print
Support oraz PGP.

%description -l pt_BR.UTF-8
LPRng é uma versão melhorada, estendida e mais segura do gerenciador
de impressão LPR. Entre as melhorias se destacam: redirecionamento
dinâmico de filas de impressão, suspensão automática de trabalhos de
impressão, diagnóstico detalhado, várias impressoras por fila,
programas cliente não precisam ser SUID root e um mecanismo bastante
melhorado de permissões e autorizações.

%description -l ru.UTF-8
LPRng - это улучшенная, расширенная и портируемая реализация
функциональности спулера печати Berkeley LPR. Предоставляя тот же
интерфейс и отвечая всем требованиям RFC1179, эта реализация
совершенно новая и предоставляет поддержку следующих возможностей:
компактный (не требующий базы данных) lpr, программы lpc и lprm;
динамическая переадресация очередей печати; автоматическая
приостановка заданий; очень детальная диагностика; обслуживание одной
очереди несколькими принтерами; клиентские программы не должны быть
SUID root; сильно улучшенная система безопасности; сильно улучшенные
механизмы авторизации и прав доступа.

Программное обеспечение компиллируется и работает на большом
количестве UNIX-систем и совместимо с другими спулерами печати и
сетевыми принтерами, которые используют интерфейс LPR и отвечают
требованиям RFC1179. LPRng также предоставляет пакеты эмуляции для
программ SVR4 lp и lpstat, исключая потребность в другом пакете
спулера печати. Эти пакеты эмуляции могут быть модифицированы в
соответствии с локальными требованиями для поддержки антикварных
систем печати.

Для пользователей, которым нужна безопасная и/или аутентицируемая
поддержка печати, LPRng поддерживает Kerberos V, MIT Kerberos IV Print
Support и аутентикацию PGP. LPRng принят за стандарт в MIT для
использования в качестве системы поддержки печати в их кампусе.
Дополнительная поддержка аутентикации может быть добавлена без особых
усилий.

%description -l uk.UTF-8
LPRng - це покращена, розширена та портована реалізація функційності
спулеру друку Berkeley LPR. Надаючи той же інтерфейс та відповідаючи
усім вимогам RFC1179, ця реалізація абсолютно нова і надає підтримку
таких можливостей: компактний (не вимагаючий бази даних) lpr, програми
lpc та lprm; динамічна переадресація черг друку; автоматичне
призупинення завдань; дуже детальна діагностика; обслуговування одної
черги кількома прінтерами; клієнтські програми не повинні бути SUID
root; сильно покращена система безпеки; сильно покращені механізми
авторизації та прав доступу.

Програмне забезпечення компілюється та працює на великій кількості
UNIX-систем і сумісне з іншими спулерами друку та мережевими
прінтерами, котрі використовують інтерфейс LPR та відповідають вимогам
RFC1179. LPRng також надає пакети емуляції для програм SVR4 lp та
lpstat, виключаючи потребу в іншому пакеті спулера друку. Ці пакети
емуляции можуть бути модифіковані у відповідності з локальними
вимогами для підтримки антикварних систем друку.

Для користувачів, яким потрібна безпечна та/або аутентифікована
підтримка друку, LPRng підтримує Kerberos V, MIT Kerberos IV Print
Support та аутентикацію PGP. LPRng прийнято за стандарт в MIT для
використання в якості системи підтримки друку в їх кампусі. Додаткова
підтримка аутентикації може бути додана без особливих зусиль.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1

mv PrintingCookbook/{HTML,PrintingCookbook}
rm -f po/stamp-po

%build
%{__autoconf}
# now it wants to use /etc/lpd/lpd.{conf,perms} - stick to old values?
%configure \
	OPENSSL=/usr/bin/openssl \
	PSHOWALL="ax" \
	--disable-setuid \
	--enable-shared \
	--with-userid=lp \
	--with-groupid=lp \
	--with-filterdir=%{_libdir}/lpfilters \
	--with-lockfile=%{_var}/spool/lpd/lpd \
	--with-lpd_conf_path=%{_sysconfdir}/lpd.conf \
	--with-lpd_perms_path=%{_sysconfdir}/lpd.perms \
	--with-done_jobs=0 \
	--disable-werror \
	%{?with_kerberos5:--enable-kerberos} \
	%{!?with_kerberos5:--disable-kerberos} \
	--enable-tcpwrappers \
	--enable-ssl

%{__make} -j1

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{/etc/rc.d/init.d,%{_var}/spool/lpd/lp} \
	$RPM_BUILD_ROOT%{_sysconfdir}/lpd/ssl.{ca,crl,server}

%{__make} -j1 install \
	DESTDIR=$RPM_BUILD_ROOT \
	POSTINSTALL="NO"

install %{SOURCE2} $RPM_BUILD_ROOT/etc/rc.d/init.d/lpd

bzip2 -dc %{SOURCE1} | tar xf - -C $RPM_BUILD_ROOT%{_mandir}

rm $RPM_BUILD_ROOT%{_libdir}/liblpr.{la,a}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
/sbin/chkconfig --add lpd
%service lpd restart "LPRng lpd daemon"

%preun
if [ "$1" = "0" ]; then
	/sbin/chkconfig --del lpd
	%service lpd stop
fi

%postun -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc CHANGES CONTRIBUTORS COPYRIGHT README README.SSL* TODO
%doc DOCS/LPRng-Reference.{html,pdf} DOCS/*.jpg DOCS/*.png
%doc PrintingCookbook/PrintingCookbook PrintingCookbook/PDF/*.pdf
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/lpd.conf
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/lpd.perms
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/printcap
%dir %{_sysconfdir}/lpd
# what perms?
%attr(750,root,lp) %dir %{_sysconfdir}/lpd/ssl.ca
%attr(750,root,lp) %dir %{_sysconfdir}/lpd/ssl.crl
%attr(750,root,lp) %dir %{_sysconfdir}/lpd/ssl.server
%attr(754,root,root) /etc/rc.d/init.d/lpd
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_sbindir}/*
%attr(755,root,root) %{_libdir}/lib*.so.*.*
%dir %{_libdir}/lpfilters
%attr(755,root,root) %{_libdir}/lpfilters/*
%dir %attr(750,root,lp) %{_var}/spool/lpd
%dir %attr(770,root,lp) %{_var}/spool/lpd/lp
%{_mandir}/man[158]/*
%lang(pl) %{_mandir}/pl/man[158]/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: LPRng.spec,v $
Revision 1.143  2011/06/07 10:55:39  arekm
- release 2

Revision 1.142  2011/06/06 15:24:53  marti
- up to 3.8.35

Revision 1.141  2011/01/29 00:06:02  sparky
- dropped pre-cvs changelog

Revision 1.140  2010/04/12 19:26:56  arekm
- release 2

Revision 1.139  2009/07/06 14:18:32  baggins
- rel 1

Revision 1.138  2009/07/06 14:13:58  baggins
- no parallel build

Revision 1.137  2009/07/06 13:51:00  baggins
- added kerberos5 bcond
- diabled kerbros5 support, the API used is so ancient there are even comments
  in the code that it needs rewriting or dropping

Revision 1.136  2009/07/03 23:51:37  baggins
- 3.8.33
- removed obsolete DESTDIR patch

Revision 1.135  2009/07/02 21:59:26  baggins
- rel 3
- switch to heimdal kerberos

Revision 1.134  2007/11/28 20:58:46  qboosh
- updated pl.po patch, rm stamp-po to actually use this translation
- updated init script (force-reload fix, introduced try-restart)
- release 2

Revision 1.133  2007-10-31 14:36:38  baggins
- rel 1
- BR libwrap-devel

Revision 1.132  2007/10/31 14:35:48  baggins
- killed ancient lpd.conf and printcap, use patched default
- enabled Kerberos support (NEW)
- don't regenerate every autocrap that can be regenerated
- use tcp_wrappers
- make is capable to build all by itself, no need to call it more than once
- updated docs
- reordered sources

Revision 1.131  2007/10/31 13:06:10  baggins
- 3.8.32

Revision 1.130  2007/08/01 17:21:50  patrys
- virtual provides/obsoletes instead of obsoleting each other
- fixes behaviour in package managers other than poldek
- rel up
- STBR

Revision 1.129  2007/05/19 16:53:25  sparky
- added as-needed patch

Revision 1.128  2007/02/12 21:21:30  glen
- tabs in preamle

Revision 1.127  2007/02/12 00:48:33  baggins
- converted to UTF-8

Revision 1.126  2006/08/19 10:28:06  qboosh
- filterout needs rpm.macros >= 1.315

Revision 1.125  2006/08/07 22:49:33  wolf
- disable -Werror
- rel 3

Revision 1.124  2006/08/07 22:34:18  wolf
- no --as-needed

Revision 1.123  2006/08/07 22:32:41  wolf
- don't define SHELL in makefile

Revision 1.122  2006/05/11 18:03:29  glen
- fix re-entrant install, make -j1, drop obsolete comment
- rel 2

Revision 1.121  2006/02/24 15:20:04  glen
- use %service

Revision 1.120  2005/10/13 13:19:45  qboosh
- sorted verify() flags

Revision 1.119  2004/11/08 22:47:02  qboosh
- updated to 3.8.28, updated pl.po patch

Revision 1.118  2004/09/25 11:20:50  radek
- cosmetics (spaces -> tabs)

Revision 1.117  2004/05/16 08:27:02  qboosh
- updated missing-nls and pl.po patches

Revision 1.116  2004/05/15 21:25:41  paszczus
- updated to 3.8.27

Revision 1.115  2004/03/19 23:46:22  ankry
- massive change: BR openssl-devel >= 0.9.7d

Revision 1.114  2004/03/07 19:44:05  qboosh
- updated to 3.8.26, updated missing-nls and pl.po patches

Revision 1.113  2004/02/22 18:58:58  qboosh
- updated to 3.8.25, updated pl.po patch

Revision 1.112  2003/12/14 01:39:06  qboosh
- updated to 3.8.24

Revision 1.111  2003/12/08 22:19:42  qboosh
- updated to 3.8.23, updated types and pl.po patches

Revision 1.110  2003/11/13 21:19:20  qboosh
- updated URL

Revision 1.109  2003/11/13 21:08:33  qboosh
- updated to 3.8.22
- removed obsolete no_dupl_DESDIR and gcc33 patches
- updated ac_fixes, pl.po, types patches
- one more fix added to missing-nls patch
- added SSL-related dirs
- ...and configure options to keep using config files where they still are

Revision 1.108  2003/08/05 22:38:09  qboosh
- patched for gcc 3.3 (declaration conflict with log() builtin)

Revision 1.107  2003/08/05 11:50:02  qboosh
- added types patch (should fix SEGV on 64-bit archs, BTS#708)
- pl fixes, release 2

Revision 1.106  2003/05/26 16:24:19  malekith
- massive attack: adding Source-md5

Revision 1.105  2003/05/25 05:45:21  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.104  2003/04/24 23:03:09  misi3k
- security update to 3.8.21
BUG (CAN-2003-0136):
A vulnerability has been found in psbanner,
which creates a temporary file with a known
filename in an insecure manner.  An attacker
could create a symbolic link and cause arbitrary
files to be written as the 'lp' user.

Revision 1.103  2003/02/25 21:00:33  wrobell
- rel. 2

Revision 1.102  2003/02/25 20:56:56  qboosh
- updated pl.po patch, more specific Requires

Revision 1.101  2003/02/22 01:17:06  wrobell
- ver. 3.8.20

Revision 1.100  2002/12/27 21:07:44  qboosh
- updated to 3.8.19
- removed obsolete nproc-unlimited patch
- updated ac_fixes and pl.po patches

Revision 1.99  2002/12/27 17:08:48  qboosh
- added ngettext patch for better NLS (appending "s" to nouns isn't good idea)
- added missing-nls patch with some ungettexted entries (few of many :/)
- added pl.po patch
- release 3

Revision 1.98  2002/11/24 03:18:59  ankry
- fiexed locale files instalation, rel. 2

Revision 1.97  2002/11/04 13:35:07  qboosh
- updated to 3.8.15
- KILLED shutdown patch which TOTALLY BROKE printing to pipes
- cut down ac_fixes patch to only necessary things
- one copy of CHANGES in %%doc should be enough :>

Revision 1.96  2002/10/25 16:04:56  marcus
- changed default --with-done_jobs=1 to 0 to avoid conflicts
with samba printing (done_jobs holds windows printing queue)
- rel.3. STBR (for 1.0!)

Revision 1.95  2002/10/09 13:14:14  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.94  2002/07/28 08:09:51  mkochano
- Release 2.
- Removed Provides: lpr.

Revision 1.93  2002/07/10 01:09:54  kloczek
- updated to 3.8.12 (bugfixes),
- updated patches.

Revision 1.92  2002/06/20 19:58:11  qboosh
- fixed doc
- Obsoletes: cups-clients (file conflict)
- release 6

Revision 1.91  2002/06/11 10:01:15  kloczek
- release 5,
- security fix: change default policy in lpd.perms for allow local job
  submissions only (patch from RH),
- merge pr patch from RH (fix path to pr program).

Revision 1.90  2002/05/21 23:12:37  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.89  2002/05/17 12:26:24  ankry
- removed requirement for mounted /proc (& BR: procps)
- release 4, STBR (for alpha)

Revision 1.88  2002/05/15 08:16:12  kloczek
- fixed %build.

Revision 1.87  2002/05/15 07:35:45  kloczek
- merge translations from KSI and Conectiva,
- move gzipping %dc to %build (make spec --short-circuit ready).

Revision 1.86  2002/05/14 11:23:08  qboosh
- fixed build: gdbm subdir no longer exists; BR: procps; release 3

Revision 1.85  2002/04/02 13:38:09  blues
- no subshells

Revision 1.84  2002/02/22 23:28:37  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.83  2002/01/24 00:13:00  ankry
- added man-pages tar URL

Revision 1.82  2002/01/18 02:12:11  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.81  2001/12/14 03:57:05  kloczek
- release 2.

Revision 1.80  2001/12/12 21:14:04  blues
- added obsoletes rules (they have conflicts files)

Revision 1.79  2001/11/19 03:05:38  kloczek
- updated to 3.8.1.

Revision 1.78  2001/11/17 08:40:19  ankry
- added pl man pages
- release 2

Revision 1.77  2001/11/12 15:05:36  kloczek
- remove static subpackage.

Revision 1.76  2001/11/06 16:34:37  qboosh
- nproc-unlimited patch: allow RLIMIT_NPROC=RLIM_INFINITY (ulimit -p unlimited)
- limit max_servers_active in LPRng.conf
- run ldconfig in post/postun

Revision 1.75  2001/11/06 09:54:33  blues
- fixed libs

Revision 1.74  2001/11/06 00:27:12  blues
- fixed install - added printcap from previous version
- added libraries and added static subpackage
done, but not tested

Revision 1.73  2001/11/05 17:06:21  kloczek
- start uptate to 3.8.0,
- removed obsoleted patches and updated some other.
NOTE: compiles but NYF (fails on %install).

Revision 1.72  2001/10/10 17:20:01  marcus
- typo in %%install

Revision 1.71  2001/10/10 14:51:54  qboosh
- BuildRequires: automake

Revision 1.70  2001/10/10 00:24:12  marcus
- uncommented Patch1

Revision 1.69  2001/10/08 21:56:02  marcus
- ac/am temporary fix

Revision 1.68  2001/10/08 21:44:25  marcus
- new version 3.7.5

Revision 1.67  2001/07/26 05:42:02  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.64  2001/06/24 22:50:06  kloczek
- release 26.

Revision 1.63  2001/06/24 22:45:28  qboosh
- fixed setgroups patch (builds now)
- spec adapterized

Revision 1.62  2001/06/23 13:49:08  kloczek
- release 25: merge setgroups patch from rawhide.

Revision 1.61  2001/06/23 12:08:08  klakier
- added default spool "lp"

Revision 1.60  2001/05/24 00:14:05  qboosh
- removed LPRng-HOWTO.gif from %%doc (doesn't exist)

Revision 1.59  2001/04/27 20:06:50  kloczek
- release 23,
- more fixes in ac_fixes for proper install .mo files,
- merge latest rawhide patches.

Revision 1.58  2001/04/27 16:09:19  dobrek
- automake works not so good without Makefile.am

Revision 1.57  2001/04/27 16:03:38  dobrek
-Added rm mising

Revision 1.56  2001/04/27 16:00:46  dobrek
-Added automake -a -c.

Revision 1.55  2001/04/27 15:43:41  dobrek
-LPRng-direct patch shameless taken from RH added.

Revision 1.54  2001/02/04 13:47:57  kloczek
- relase 7,
- /sbin/chkconfig now is as Prereq,
- added HOWTO gif files to %doc.

Revision 1.53  2001/02/01 16:27:32  kloczek
- Requires for rc-scripts changed to Prereq.

Revision 1.52  2001/01/14 16:48:14  kloczek
- release 2.

Revision 1.51  2001/01/13 17:27:47  dobrek
-Added LPRng-inet_ntop.patch it solves problems on axp.

Revision 1.50  2000/12/30 06:08:04  kloczek
- updated to 3.7.4.

Revision 1.49  2000/12/28 01:47:38  kloczek
- updated to 3.7.3.

Revision 1.48  2000/12/21 20:20:00  kloczek
- added automake, autoconf to BuildRequires.

Revision 1.47  2000/12/21 19:47:17  kloczek
- updated to 3.7.2.

Revision 1.46  2000/11/29 07:48:33  kloczek
- updated to 3.7.1,
- removed outdated autoconf path.

Revision 1.45  2000/10/16 19:30:48  kloczek
- added ac_fixes patch: now in %install can be used DESTDIR style install
  and also works installing in proper place gettext resources,
- use new rpm automation.

Revision 1.44  2000/10/16 15:58:17  zagrodzki
- updated to 3.6.26

Revision 1.43  2000/10/06 15:48:11  baggins
- release 2
- fixed remote exploit

Revision 1.42  2000/08/21 00:17:27  kloczek
- updated to 3.6.24.

Revision 1.41  2000/08/16 16:34:03  kloczek
- updated to 3.6.22.

Revision 1.40  2000/07/31 11:59:10  mis
- do not verify size, time and md5sum of config files
- release 2

Revision 1.39  2000/07/25 05:15:40  kloczek
- updated to 3.6.22.

Revision 1.38  2000/07/21 15:08:12  kloczek
- updated to 3.6.21,
- added filter patch from rawhide.

Revision 1.37  2000/07/20 08:51:27  mis
- removed %{_*dir} redefines
- added /var/spool/lpd and /etc/printcap
- default config taken from SOURCES
- changed filters location to _libdir (libexec not in FHS 2.1)
- changed filters dir name to lpfilters
- run lpd as user and group lp
- changes lock file location to /var/spool/lpd (see p. 5.5.1 of FHS)
- release 4

Revision 1.36  2000/07/13 23:03:51  baggins
- release 3
- rebuild with ncurses 5.1

Revision 1.35  2000/07/12 20:25:12  baggins
- typo

Revision 1.34  2000/07/12 20:24:29  baggins
- locale is b0rken, disabled it

Revision 1.33  2000/07/12 18:41:25  baggins
- stupid program needs explicit --enable-nls to ./configure

Revision 1.32  2000/07/12 18:24:42  baggins
- finish update to 3.6.18
- cleanup in %%doc

Revision 1.30  2000/07/11 20:16:19  zagrodzki
- updated to 3.6.18

Revision 1.29  2000/06/09 07:54:38  kloczek
- more %%{__make} macros.

Revision 1.28  2000/06/09 07:22:45  kloczek
- added using %%{__make} macro.

Revision 1.27  2000/05/17 00:36:12  kloczek
- spec adapterized.

Revision 1.26  2000/04/14 16:49:32  kloczek
- release 4.

Revision 1.25  2000/04/13 08:01:35  zagrodzki
- corrected %pre/post scripts

Revision 1.24  2000/04/12 22:55:05  kloczek
- release 3,
- new init scrip rc-scripts >= 0.2.0 compliant.

Revision 1.23  2000/04/01 11:14:21  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.22  2000/03/28 16:54:13  baggins
- translated kloczkish into english

Revision 1.21  2000/03/02 20:19:24  kloczek
- release 2,
- fixed message in %post and standarized %post, %preun.

Revision 1.20  2000/03/02 17:36:50  kloczek
- updated to 3.6.13,
- spec adapterized,
- more rpm macros.

Revision 1.19  1999/11/25 06:03:45  kloczek
- updated to 3.6.12,
- added Buildrequires rules,
- build against ncurses 5.0.

Revision 1.18  1999/09/11 13:51:26  misiek
- fixed requires (PR#43)

Revision 1.17  1999/08/30 05:05:51  kloczek
- updated to 3.6.8,
- removed install patch,
- added --disable-setuid and --without-included-gettext to ./cinfigure
  parameters,
- added missing filters (in %%{_libexecdir}/filters).

Revision 1.16  1999/07/12 23:06:06  kloczek
- added using CVS keywords in %changelog (for automating them).
